org.apache.sysds.runtime.io

## Class TensorWriterBinaryBlockParallel.WriteFileTask

- java.lang.Object
- - org.apache.sysds.runtime.io.TensorWriterBinaryBlockParallel.WriteFileTask

All Implemented Interfaces:
  Callable<Object>

Enclosing class:
  TensorWriterBinaryBlockParallel

    public static class TensorWriterBinaryBlockParallel.WriteFileTask
    extends Object
    implements Callable<Object>

### Constructor Summary

Constructors
Constructor and Description
`WriteFileTask(org.apache.hadoop.fs.Path path, org.apache.hadoop.mapred.JobConf job, org.apache.hadoop.fs.FileSystem fs, TensorBlock src, long rl, long ru, int blen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriteFileTask

    public WriteFileTask(org.apache.hadoop.fs.Path path,
                         org.apache.hadoop.mapred.JobConf job,
                         org.apache.hadoop.fs.FileSystem fs,
                         TensorBlock src,
                         long rl,
                         long ru,
                         int blen)

### Method Detail

#### call

    public Object call()
                throws Exception

Specified by:
  `call` in interface `Callable<Object>`
Throws:
  `Exception`